[Qa-jenkins-scm] [jenkins.debian.net] 01/01: fixup b03e6ca4: reproducible Arch Linux: explain some (perceived) inconsistencies
Holger Levsen
holger at layer-acht.org
Mon Dec 11 20:20:33 UTC 2017
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 857f14ce1321783568b9d8543940c5e47e6721a3
Author: Holger Levsen <holger at layer-acht.org>
Date: Mon Dec 11 20:20:24 2017 +0000
fixup b03e6ca4: reproducible Arch Linux: explain some (perceived) inconsistencies
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
bin/reproducible_archlinux_scheduler.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/bin/reproducible_archlinux_scheduler.sh b/bin/reproducible_archlinux_scheduler.sh
index 0843af9..cefc62a 100755
--- a/bin/reproducible_archlinux_scheduler.sh
+++ b/bin/reproducible_archlinux_scheduler.sh
@@ -47,7 +47,7 @@ update_archlinux_repositories() {
if [ -f $BASE/archlinux/$REPO/$pkgbase/pkg.version ] ; then
VERSION=$(cat $BASE/archlinux/$REPO/$pkgbase/pkg.version 2>/dev/null)
if [ "$VERSION" != "$version" ] ; then
- VERCMP="$(schroot --run-session -c $SESSION --directory /var/tmp -- vercmp $version $VERSION || true)
+ VERCMP="$(schroot --run-session -c $SESSION --directory /var/tmp -- vercmp $version $VERSION || true)"
if [ "$VERCMP" = "1" ] ; then
# schedule packages where an updated version is availble
echo $REPO/$pkgbase >> $UPDATED
@@ -56,7 +56,7 @@ update_archlinux_repositories() {
elif [ "$VERCMP" = "-1" ] ; then
echo "We know about $pkgbase $VERSION, but repo has $version, but thats ok because we build from trunk."
else
- echo "This should never happen: we know about $pkgbase $VERSION, but repo has $version."
+ echo "This should never happen, we know about $pkgbase $VERSION, but repo has $version. \$VERCMP=$VERCMP"
fi
fi
else
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list